
Infrastructure - Story #1074

Need D1-branded authentication page for CILogon site

2010-11-10 17:47 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Mark Servilla % Done: 100%

Category: d1_identity_manager Estimated time: 0.00 hour

Target version: Sprint-2011.06   

Story Points:    

Description

History

#1 - 2010-11-10 17:47 - Matthew Jones

- Target version set to Sprint-2010.47

- Position deleted (1)

- Position set to 6

#2 - 2010-11-30 17:55 - Matthew Jones

- Target version changed from Sprint-2010.47 to Sprint-2010.48

- Position deleted (28)

- Position set to 13

#3 - 2010-11-30 20:08 - Dave Vieglais

- Assignee set to Mark Servilla

#4 - 2010-12-07 17:55 - Mark Servilla

- Category set to d1_identity_manager

- Status changed from New to In Progress

Notes from CILogon conference call on 11 Nov 2010 relevant to CILogon branded page for DataONE:

DataONE branded CILogon logon page

* Feasibility?

- Yes, it is doable

- DataONE icon and color scheme to begin with

- CSS possible, but at a later date

- Dynamic using query parameter

- Can set cookies

- Will the URL be able to retain the "dataone.org" domain name in anyway?

Uptime/availability (SLA) agreements?

Single location currently at UIUC

Upcoming host location TBD (depending on SLA agreements/needs)

Potential hosting by DataONE for failover/stability

DataONE needs to provide parameters for an SLA

Current agreements by other CI projects tend to be more loose and without binding SLAs

CILogon would like to step up the commitment for SLA type of agreements

Long-term viability?

Grant thru August 2012

Goal to prove efficacy of the project

Potential support through either InCommon or Internet2
Time Frame

Next 3 months or sooner

Contact Jim Basney

#5 - 2010-12-07 18:41 - Mark Servilla

- File DataONElogo.png added

- % Done changed from 0 to 30

DataONE logo (see attached) and background color (#21628D; from site CSS) provide to Jim Basney and Randy Butler at CILogo on 7 December

2010.

#6 - 2010-12-07 19:26 - Mark Servilla

Response from Jim Basney:

Thanks Mark. Your timing is good. We've got some prototype code for this

almost ready for experimentation. We'll follow-up with you on it soon.

#7 - 2010-12-13 15:40 - Mark Servilla

- % Done changed from 30 to 60

Jim Basney (CILogon) reported on Friday 10 Dec of a prototype for the DataONE branded CILogon page:

Mark,

We've just released "CILogon Service 2.0":

http://www.cilogon.org/news/cilogonservice20

This new version of the CILogon Service includes our initial support for

branding (or "skinning"). Please take a look at

https://cilogon.org/?skin=DataONE

and give us your comments. I'm CCing Terry Fleury (our lead developer)

who can make tweaks to the skin for us and comment on what is or isn't

possible to change at this point.

Regards,

Jim
#8 - 2010-12-13 18:34 - Dave Vieglais

- Position deleted (41)

- Position set to 7

- Target version changed from Sprint-2010.48 to Sprint-2010.50

#9 - 2011-01-03 03:09 - Dave Vieglais

Need an update on the status of this - what remains to be done before this ticket can be closed?

#10 - 2011-01-03 03:09 - Dave Vieglais

- Target version changed from Sprint-2010.50 to Sprint-2011.01

#11 - 2011-01-04 02:52 - Mark Servilla

Waiting for feedback from the CCIT on acceptance or request for changes of the current CILogon branded site (https://cilogon.org/?skin=DataONE). 

We should set this as an agenda item for the 5 January 2011 CCIT call.

Impacts of changes to the construction of the certificate may impact the interface design of the branded site; final decisions should be made regarding

the need for CILogon on to add/subtract specific content from the certificate before closing this ticket?

#12 - 2011-01-10 18:26 - Dave Vieglais

- Position set to 28

- Target version changed from Sprint-2011.01 to Sprint-2011.03

- Position deleted (17)

#13 - 2011-01-17 22:29 - Dave Vieglais

- Position set to 2

- Position deleted (30)

- Target version changed from Sprint-2011.03 to Sprint-2011.04

#14 - 2011-02-01 17:15 - Dave Vieglais

- Position set to 1

- Position deleted (31)

- Target version changed from Sprint-2011.04 to Sprint-2011.06

#15 - 2011-02-14 23:46 - Dave Vieglais

- Status changed from In Progress to Closed

Closing this - the branded page is available and operates as expected, though there's nothing to connect it with at this stage.

Files

DataONElogo.png 11.9 KB 2010-12-07 Mark Servilla
